import { provideHttpClient } from '@angular/common/http';
import { TestBed, waitForAsync } from '@angular/core/testing';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { CommonModule, DatePipe, DecimalPipe } from '@angular/common';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { AppRoutesModule } from '../app.routes.module';
import { BreadcrumbService } from '../breadcrumb.service';
import { ServicesModule } from '../../providers/services.module';
import { AlertComponent } from '../components/alert/alert.component';
import { ForgotPasswordComponent } from './forgotpassword.component';
import { FunctionService } from '../components/models/function.service';

describe('ForgotPasswordComponent', () =>
{
  beforeEach(waitForAsync(() =>
  {
    TestBed.configureTestingModule({
    imports: [
        BrowserAnimationsModule,
        AppRoutesModule,
        FormsModule,
        ReactiveFormsModule,
        CommonModule,
        ServicesModule,
        AlertComponent,
        ForgotPasswordComponent
    ],
    providers: [
        provideHttpClient(),
        DatePipe,
        DecimalPipe,
        FunctionService,
        BreadcrumbService
    ]
}).compileComponents();
  }));
  it('Component created successfully...', waitForAsync(() =>
  {
    const fixture = TestBed.createComponent(ForgotPasswordComponent);
    const app = fixture.debugElement.componentInstance;
    expect(app).toBeTruthy();
  }));
});
